Bug 17743 - onKeyDown doesn't seem to work
Summary: onKeyDown doesn't seem to work
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: netscape (Show other bugs)
(Show other bugs)
Version: 6.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-09-20 15:15 UTC by Neal Nelson
Modified: 2014-03-17 02:16 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-09-20 18:11:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Neal Nelson 2000-09-20 15:15:56 UTC
I am trying to use onKeyDown to trap the ENTER key as I leave a field on a
form. Code which works on Internet Explorer has two problems on
RedHat/Netscape. First the function which should execute for every
keystroke will sometimes only execute every 2nd, 3rd or 4th keystroke.
Second, the TAB key and the ENTER key do not seem to ever cause the
function to execute.

Comment 1 Neal Nelson 2000-09-20 18:11:49 UTC
I downloaded and tested a copy of Netscape 6.0 Beta and it does not have this
problem.

Comment 2 Bill Nottingham 2001-01-19 22:21:21 UTC
This is a bug in the netscape binary itself, which we don't have
the source code for, and therefore we can't fix it.

We suggest that you report it to Netscape at:

http://help.netscape.com/forms/bug-client.html




Note You need to log in before you can comment on or make changes to this bug.